package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）枚举类
*
* @author zxfei
*/
public enum OperatScopeShowEnum {
    无("无", "无"),
    全国("全国", "全国"),
    全市("全市", "全市"),
    全县("全县", "全县"),
    全镇乡街道("全镇[乡、街道]", "全镇[乡、街道]"),
    跨村社区("跨村[社区]", "跨村[社区]");
    private String value;
    private String desc;

    OperatScopeShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static OperatScopeShowEnum getByValue(String value) {
        for (OperatScopeShowEnum operatScopeShowEnum : OperatScopeShowEnum.values()) {
            if (operatScopeShowEnum.getValue() == value) {
                return operatScopeShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (OperatScopeShowEnum item : OperatScopeShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}